# Look up a public Instagram Business account

Looks up a public Instagram Business account.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/instagram/business-discovery
```

- Area: Inbox / Instagram
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `username` (string, required)
- `limit` (integer)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery?username=acme&limit=12" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery?username=acme&limit=12", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/instagram/business-discovery",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "username": "acme",
        "limit": 12,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `profile`, object, required
  - `id`, string, required
  - `username`, string, required
  - `name`, string: Can be null
  - `biography`, string: Can be null
  - `website`, string: Can be null
  - `profilePictureUrl`, string: Can be null
  - `followersCount`, integer: Can be null
  - `followsCount`, integer: Can be null
  - `mediaCount`, integer: Can be null
- `media`, array of object, required
  - `id`, string, required
  - `caption`, string, required: Can be null
  - `mediaType`, string, required: Can be null
  - `mediaProductType`, string, required: Can be null
  - `timestamp`, string (date-time), required: Can be null
  - `permalink`, string, required: Can be null
  - `likeCount`, integer, required: Can be null
  - `commentsCount`, integer, required: Can be null
  - `mediaUrl`, string, required: Can be null
  - `thumbnailUrl`, string, required: Can be null
  - `viewCount`, integer, required: Can be null
  - `children`, array of object, required: Can be null

```json
{
  "profile": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "username": "acme",
    "name": "Acme",
    "biography": "string",
    "website": "string",
    "profilePictureUrl": "https://pozy.ai/media/example-1.jpg",
    "followersCount": 42,
    "followsCount": 42,
    "mediaCount": 42
  },
  "media": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "caption": "Hello from Pozy",
      "mediaType": "string",
      "mediaProductType": "string",
      "timestamp": "2026-10-02T09:00:00.000Z",
      "permalink": "string",
      "likeCount": 42,
      "commentsCount": 42,
      "mediaUrl": "https://pozy.ai/media/example-1.jpg",
      "thumbnailUrl": "https://pozy.ai/media/example-1.jpg",
      "viewCount": 42,
      "children": [
        {
          "id": "6bfebd43ddc270f6d2c56fc5",
          "mediaType": "string",
          "mediaUrl": "https://pozy.ai/media/example-1.jpg",
          "thumbnailUrl": "https://pozy.ai/media/example-1.jpg"
        }
      ]
    }
  ]
}
```
